Update annotation
curl --request PATCH \
--url https://acusight.io/api/data/annotations/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"class_value": "<string>",
"confidence": 123,
"geometry": "<unknown>",
"height": 123,
"width": 123,
"x_center": 123,
"y_center": 123,
"z_order": 123
}
'import requests
url = "https://acusight.io/api/data/annotations/{id}"
payload = {
"class_value": "<string>",
"confidence": 123,
"geometry": "<unknown>",
"height": 123,
"width": 123,
"x_center": 123,
"y_center": 123,
"z_order": 123
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
class_value: '<string>',
confidence: 123,
geometry: '<unknown>',
height: 123,
width: 123,
x_center: 123,
y_center: 123,
z_order: 123
})
};
fetch('https://acusight.io/api/data/annotations/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://acusight.io/api/data/annotations/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'class_value' => '<string>',
'confidence' => 123,
'geometry' => '<unknown>',
'height' => 123,
'width' => 123,
'x_center' => 123,
'y_center' => 123,
'z_order' => 123
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://acusight.io/api/data/annotations/{id}"
payload := strings.NewReader("{\n \"class_value\": \"<string>\",\n \"confidence\": 123,\n \"geometry\": \"<unknown>\",\n \"height\": 123,\n \"width\": 123,\n \"x_center\": 123,\n \"y_center\": 123,\n \"z_order\": 123\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://acusight.io/api/data/annotations/{id}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"class_value\": \"<string>\",\n \"confidence\": 123,\n \"geometry\": \"<unknown>\",\n \"height\": 123,\n \"width\": 123,\n \"x_center\": 123,\n \"y_center\": 123,\n \"z_order\": 123\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://acusight.io/api/data/annotations/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"class_value\": \"<string>\",\n \"confidence\": 123,\n \"geometry\": \"<unknown>\",\n \"height\": 123,\n \"width\": 123,\n \"x_center\": 123,\n \"y_center\": 123,\n \"z_order\": 123\n}"
response = http.request(request)
puts response.read_body{
"data": {
"class_value": "<string>",
"confidence": 123,
"created_at": "<string>",
"geometry": [
123
],
"id": 123,
"image_id": 123,
"model_id": "<string>",
"model_name": "<string>",
"model_version": "<string>",
"source": "<string>",
"type": "<string>",
"updated_at": "<string>",
"z_order": 123
},
"error": {
"code": "<string>",
"details": "<string>",
"message": "<string>"
},
"meta": {
"count": 123,
"limit": 123,
"offset": 123,
"total": 123
},
"success": true
}{
"data": "<unknown>",
"error": {
"code": "<string>",
"details": "<string>",
"message": "<string>"
},
"meta": {
"count": 123,
"limit": 123,
"offset": 123,
"total": 123
},
"success": true
}{
"data": "<unknown>",
"error": {
"code": "<string>",
"details": "<string>",
"message": "<string>"
},
"meta": {
"count": 123,
"limit": 123,
"offset": 123,
"total": 123
},
"success": true
}{
"data": "<unknown>",
"error": {
"code": "<string>",
"details": "<string>",
"message": "<string>"
},
"meta": {
"count": 123,
"limit": 123,
"offset": 123,
"total": 123
},
"success": true
}Datasets & data
Update annotation
Updates class value, coordinates, confidence, geometry, or z-order for an annotation.
PATCH
/
data
/
annotations
/
{id}
Update annotation
curl --request PATCH \
--url https://acusight.io/api/data/annotations/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"class_value": "<string>",
"confidence": 123,
"geometry": "<unknown>",
"height": 123,
"width": 123,
"x_center": 123,
"y_center": 123,
"z_order": 123
}
'import requests
url = "https://acusight.io/api/data/annotations/{id}"
payload = {
"class_value": "<string>",
"confidence": 123,
"geometry": "<unknown>",
"height": 123,
"width": 123,
"x_center": 123,
"y_center": 123,
"z_order": 123
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
class_value: '<string>',
confidence: 123,
geometry: '<unknown>',
height: 123,
width: 123,
x_center: 123,
y_center: 123,
z_order: 123
})
};
fetch('https://acusight.io/api/data/annotations/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://acusight.io/api/data/annotations/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'class_value' => '<string>',
'confidence' => 123,
'geometry' => '<unknown>',
'height' => 123,
'width' => 123,
'x_center' => 123,
'y_center' => 123,
'z_order' => 123
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://acusight.io/api/data/annotations/{id}"
payload := strings.NewReader("{\n \"class_value\": \"<string>\",\n \"confidence\": 123,\n \"geometry\": \"<unknown>\",\n \"height\": 123,\n \"width\": 123,\n \"x_center\": 123,\n \"y_center\": 123,\n \"z_order\": 123\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://acusight.io/api/data/annotations/{id}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"class_value\": \"<string>\",\n \"confidence\": 123,\n \"geometry\": \"<unknown>\",\n \"height\": 123,\n \"width\": 123,\n \"x_center\": 123,\n \"y_center\": 123,\n \"z_order\": 123\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://acusight.io/api/data/annotations/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"class_value\": \"<string>\",\n \"confidence\": 123,\n \"geometry\": \"<unknown>\",\n \"height\": 123,\n \"width\": 123,\n \"x_center\": 123,\n \"y_center\": 123,\n \"z_order\": 123\n}"
response = http.request(request)
puts response.read_body{
"data": {
"class_value": "<string>",
"confidence": 123,
"created_at": "<string>",
"geometry": [
123
],
"id": 123,
"image_id": 123,
"model_id": "<string>",
"model_name": "<string>",
"model_version": "<string>",
"source": "<string>",
"type": "<string>",
"updated_at": "<string>",
"z_order": 123
},
"error": {
"code": "<string>",
"details": "<string>",
"message": "<string>"
},
"meta": {
"count": 123,
"limit": 123,
"offset": 123,
"total": 123
},
"success": true
}{
"data": "<unknown>",
"error": {
"code": "<string>",
"details": "<string>",
"message": "<string>"
},
"meta": {
"count": 123,
"limit": 123,
"offset": 123,
"total": 123
},
"success": true
}{
"data": "<unknown>",
"error": {
"code": "<string>",
"details": "<string>",
"message": "<string>"
},
"meta": {
"count": 123,
"limit": 123,
"offset": 123,
"total": 123
},
"success": true
}{
"data": "<unknown>",
"error": {
"code": "<string>",
"details": "<string>",
"message": "<string>"
},
"meta": {
"count": 123,
"limit": 123,
"offset": 123,
"total": 123
},
"success": true
}Authorizations
JWT access token. Paste the token only; the Bearer prefix is added automatically.
Path Parameters
Annotation ID
Body
application/json
Annotation update payload
Was this page helpful?